Back to Google Maps
Apify·Google Maps

List Google Maps Reviews

/compass/google-maps-reviews-scraperasync$0.003 / result

Extract all reviews of Google Maps places using place URLs. Get review text, published date, response from owner, review URL, and reviewer's details. Download scraped data, run the scraper via API, schedule and monitor runs or integrate with other tools. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarray

    List of URLs to be crawled. They can be search URLs, place URLs or review detail URLs. Valid Google Maps place URLs must contain one of the following subpaths: /maps/search, /maps/place or /maps/reviews. This feature also supports uncommon URL formats such as: https://google.com/maps?cid=***.

  • placeIdsarray

    List of place IDs. Add them one by one or upload a list using the Bulk edit option. A place ID has the format ChIJreV9aqYWdkgROM_boL6YbwA - only 27-character IDs starting with ChIJ or GhIJ are supported.

  • maxReviewsinteger

    Max number of reviews per place to scrape. If you want to scrape all reviews, remove the prefilled value. (default 10000000)

  • reviewsSortstring

    Define how reviews are sorted. (default "newest")

    newest, mostRelevant, highestRanking, lowestRanking

  • reviewsStartDatestring

    Either absolute date (e.g. `2024-05-03`) or relative date from now into the past (e.g. `8 days`, `3 months`). JSON input also supports adding time in both absolute (ISO standard, e.g. `2024-05-03T20:00:00`) and relative (e.g. `3 hours`) formats. Absolute time is always interpreted in the UTC timezon

  • reviewsFilterStringstring

    If you enter keywords, only reviews containing those keywords will be scraped. Leave it blank to scrape all reviews. (default "")

  • languagestring

    Results will be scraped in this language. (default "en")

    en, af, az, id, ms, bs, ca, cs, …

  • reviewsOriginstring

    Select whether you want all reviews (from Google, Tripadvisor, etc.) or only reviews from Google. (default "all")

    all, google

  • personalDataboolean

    This setting allows you to get personal data about the reviewer (their ID, name, URL, and photo URL) and about the review (URL). Note: review ID (reviewId) is always included regardless of this setting. ⚠️ Personal data is protected by the GDPR in the European Union and by other regulations around t (default true)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/compass/google-maps-reviews-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.